(ns wanijo.public.routes
  (:require [compojure.core :refer [defroutes wrap-routes GET]]
            [wanijo.infrastructure.routing :refer [register!]]
            [wanijo.public.db :as db-public]
            [wanijo.public.view :as view-public]))

(defn index []
  (view-public/index))

(defn show-roles [coc-key]
  (view-public/show-coc (db-public/coc! coc-key)
                        (db-public/roles-with-levels-of-coc! coc-key)))

(defroutes routes
  (GET (register! :public-index "/public") [] (index))
  (GET (register! :public-coc "/public/:coc") [coc] (show-roles coc)))
